﻿Imports System.Collections.Generic
Imports System.ComponentModel
Imports System.Data
Imports System.Drawing
Imports System.Linq
Imports System.Text
Imports System.Windows.Forms
Imports System.Runtime.InteropServices
Imports System.IO

Public Class Form1

    <DllImport("pdf2xmlsdk.dll", CharSet:=CharSet.Ansi)> _
    Private Shared Function VeryPDF2XMLSetLicenseCode(ByVal lpRegcode As String) As Long
    End Function

    <DllImport("pdf2xmlsdk.dll", CharSet:=CharSet.Ansi)> _
    Private Shared Function VeryPDF2XMLConverter(<MarshalAs(UnmanagedType.LPStr)> ByVal lpInPDF As String, <MarshalAs(UnmanagedType.LPStr)> ByVal lpOutXML As String, ByVal lpOptions As String) As UInteger
    End Function

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim appPath As String = Path.GetDirectoryName(Application.ExecutablePath)
        Dim strInPDFFile As String
        Dim strXMLFile As String
        Dim strTXTFile As String
        Dim nRet As Long
        strInPDFFile = (appPath & "\sample.pdf")
        strXMLFile = (appPath & "\sample.xml")
        strTXTFile = (appPath & "\sample.txt")

        VeryPDF2XMLSetLicenseCode("XXXXXXXXXXXXXXXXXXX")

        'Convert PDF file to image file
        Dim szOptions As String = "-res 150 -bitcount 24 -outimg """
        szOptions += appPath + "\outimage-%04d.png"
        szOptions += """"
        nRet = VeryPDF2XMLConverter(strInPDFFile, strXMLFile, szOptions)

        'Convert PDF file to text file
        nRet = VeryPDF2XMLConverter(strInPDFFile, strTXTFile, "-txt")

        'Convert PDF file to XML file
        nRet = VeryPDF2XMLConverter(strInPDFFile, strXMLFile, "")
    End Sub
End Class
